enum Kind {
    ADD,
    SUB,
    MUL,
    DIV,
    RAND,
}

public class Op extends Expr {
    final Kind kind;
    final Expr[] arg;

    Op(Kind kind, Expr arg1, Expr arg2) {
        this.kind = kind;
        arg = new Expr[2];
        arg[0] = arg1;
        arg[1] = arg2;
    }

    public void visit(Visitor v) {
        v.visit(this);
    }
}
